Bug 979846 - Please change update_date format in DUMP.xml
Please change update_date format in DUMP.xml
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 22:18 EDT by Tomas Dabašinskas
Modified: 2013-12-18 21:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Dabašinskas 2013-06-30 22:18:24 EDT
Hi,

At the moment update_date field in xml dump only lists date:
<update_date>2013-02-21</update_date>

It would be really nice if update_date used datetime format, showing date and UTC time.
Something like:
 <update_date>2013-02-21 13:04:12</update_date>

Many thanks,
Tomas
Comment 1 Jeff Fearn 2013-06-30 22:52:55 EDT
Altering the database schema breaks the API so we'd only do this in a major version.
Comment 2 Jeff Fearn 2013-07-17 19:41:20 EDT
Oops, missed my own comment #1, requires significant testing and should happen at the same time the other DB changes occur.
Comment 3 HSS Product Manager 2013-09-18 01:28:25 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Jeff Fearn 2013-09-19 03:41:50 EDT
To ssh://git.fedorahosted.org/git/publican.git
   72c9ff3..0f9a002  HEAD -> devel
Comment 5 Ruediger Landmann 2013-10-16 18:39:49 EDT
Verified with publican-3.9.9-0.fc19.t7.noarch


<record>
<name>Technical_Reference_Guide</name>
<ID>2</ID>
...
<update_date>2013-10-14 06:22:15</update_date>
...
</record>

Note You need to log in before you can comment on or make changes to this bug.